﻿@model List<CompanyView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMCompanies.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMCompanies.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMCompanies.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMCompanies.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<h1 class="page-header">@Companies.CompanyConnections</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Companies.SRVS</h3>
    </div>

    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@Companies.CN</th>
                        <th><strong>@Companies.Active</strong></th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (CompanyView item in Model)
                    {
                        <tr>
                            <td>@item.CompanyDB</td>
                            <td>
                                @Html.CheckBox("inlineCheckbox1", item.Active)
                            </td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionCompany", "Companies", new { @ActionCompany = "Update", @IdCompany = item.IdCompany, @FromUser = 0 })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Companies.Edit
                                    </a>
                                }
                                @if (_Delete)
                                {
                                    <a href='@Url.Action("ActionCompany", "Companies", new { @ActionCompany = "Delete", @IdCompany = item.IdCompany, @FromUser = 0 })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-trash"></span>&nbsp;@Companies.Delete
                                    </a>
                                }
                                <a href='@Url.Action("CompanyStock", "Companies", new { @IdCompany = item.IdCompany })' class="btn btn-primary btn-xs">
                                    <span class="glyphicon glyphicon-stats"></span>&nbsp;Stock
                                </a>
                                <a href='@Url.Action("CRPageMap", "Companies", new { @IdCompany = item.IdCompany })' class="btn btn-primary btn-xs">
                                    <span class="glyphicon glyphicon-file"></span>&nbsp;@Companies.CRPM
                                </a>
                                <a href='@Url.Action("QRConfig", "Companies", new { @IdCompany = item.IdCompany })' class="btn btn-primary btn-xs">
                                    <span class="glyphicon glyphicon-calendar-list"></span>&nbsp;@Companies.QRCodeConfiguration
                                </a>
                                <a href='@Url.Action("Index", "UserGroup", new { @IdCompany = item.IdCompany })' class="btn btn-primary btn-xs">
                                    <span class="glyphicon glyphicon-user"></span>&nbsp;@Companies.UG
                                </a>
                                <a href='@Url.Action("Index", "BPGroup", new { @IdCompany = item.IdCompany })' class="btn btn-primary btn-xs">
                                    <span class="glyphicon glyphicon-user"></span>&nbsp;@Companies.BG
                                </a>
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>

    </div>

</div>
@if (_Add)
{
    <div class="col-md-2 pull-right but_blok_footer">
        <a href='@Url.Action("ActionCompany", "Companies", new { @ActionCompany = "Add", @IdCompany = 0, @FromUser = 0 })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Companies.AN
        </a>
    </div>
}
